Protect Version 8 Gives Error - Error Loading Patch Definitions: the Given Key Was Not Present in the Dictionary

Version 4

    Symptoms

     

    Trying to initiate a task in Protect 8.x causes error: Error loading patch definitions: The given key was not present in the dictionary.

     

    1- error.png

     

    The ST.Protect.Managed log shows this error:

     

    2014-06-05T22:04:24.5819375Z 0007 E WorkItemController.ErrorOnCompletion|System.AggregateException: One or more errors occurred. ---> System.AggregateException: One or more errors occurred. ---> System.Collections.Generic.KeyNotFoundException: The given key was not present in the dictionary.

      at System.Collections.Generic.Dictionary`2.get_Item(TKey key)

      at ST.BusinessObjects.FileDownload.CoreFilesModel.get_ScriptCatalogFile()

      at ST.BusinessObjects.FileDownload.ScriptCatalogFileSet..ctor(String destinationDir)

      at ST.UI.Controllers.Tasks.WorkItemScriptCatalogDataDownload.BuildAndStartFileSet()

      at ST.UI.Controllers.Tasks.WorkItemScriptCatalogDataDownload.DownloadScriptCatalog(IStatusReporter statusReporter, CancellationToken cancellationToken)

      at ST.UI.Controllers.Tasks.WorkItemScriptCatalogDataDownload.Download(IStatusReporter statusReporter, CancellationToken cancellationToken)

      at ST.UI.Controllers.Tasks.WorkItemScriptCatalogDataDownload.Run(CancellationToken cancellationToken, PropertyBag state)

      at ST.UI.Controllers.Tasks.WorkItemController.RunInternal()

      at System.Threading.Tasks.Task.InnerInvoke()

      at System.Threading.Tasks.Task.Execute()

     

     

    Cause

     

    VMware vCenter Protect 8.0, 8.0.1, and 8.0.2 reached end of service on 5/15/2014. All new content released by Shavlik is 9.x compatible only which causes 8.x builds to not operate correctly.

     

    Resolution

     

    Upgrade to version 9.0 or 9.1 which are capable of handling the new content releases.

    To upgrade go to http://www.shavlik.com/downloads/protect/ to download Shavlik Protect 9.1 or 9.0. Check the release notes for changes to the Console Pre-Requisites as they have changed.

     

    Additional Information

     

    If you are upgrading, it will be helpful to take a look at the document, Preparing for Upgrade of Protect and Resolving Common Upgrade Issues.

     

    Affected Product(s)

     

    Shavlik Protect 8.x